<?

if(isset($_POST['name']))
{
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));

$bv=mysql_query("SELECT * FROM `kolhoz_zags` WHERE `avtor`='".$ku['nick']."'");
$bvx=mysql_query("TRUNCATE `kolhoz_zags`");

$x=mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick`='$name'");
$xx=mysql_fetch_assoc($x);
if($ku['pol']!=1) err_game('Заявку может подать только мужчина!');
elseif($ku['zkl']<1) no_zkl(1-$ku['zkl']);
elseif(!$name) err_game('Пустые параметры!');

elseif(!mysql_num_rows($x)) err_game('Такого пользователя не существует!');
elseif(mysql_num_rows($bv || $bvx)!=0) err_game('Вы уже ждёте свадьбу!<br /><small>Или время регистрации вышло, удаление просроченой заявки происходит в течении 1-2часов</small>');


elseif($xx['nick']==$ku['nick']) err_game('Вы хотите женится сам на себе?');
elseif($xx['pol']==$ku['pol']) err_game( 'Однополые браки строго запрещены!');
else{
mysql_query("UPDATE `kolhoz_user` SET  `zkl` = '".($ku['zkl']-1)."' WHERE `id` = '$ku[id]'");

mysql_query("INSERT INTO `kolhoz_zags` (`date`,`time`,`on`,`ona`,`avtor`)VALUES('".(time()+60*6)."','".($time+(60*5))."','".$ku['nick']."','$name','".$ku['nick']."')");

$msg='[color=violet]Здравствуй, меня зовут[/color] [color=green]'.$ku['name'].'[/color], [color=violet]Мой ник в игре[/color] [color=green]'.$ku['nick'].'[/color]! 
[color=violet]Ты мне очень понравилась и по этому я делаю Тебе официальное предложение руки и сердца, Будь моей Любимой и неповторимой женой![/color] .ромашки. 
Я решил не медлить и в течении слудующих 5-ти минут расписаться. .молодожены.  
Прими свое решение прямо сейчас: 
[img]http://vcitynet.ru/img/icons/tick.png[/img] [url=?action=ees][color=green]Да, согласна![/color][/url] [b]|[/b] [img]http://vcitynet.ru/img/icons/cross.png[/img] [url=?zags&ends][color=red]Я отказываюсь[/color][/url] 
[b]Вам необходимо принять решение в течении 5-ти мин[/b] :)';

$love = mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick`='$name'");
$love=mysql_fetch_assoc($love);
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$love[id]', `id_kont` = '300', `msg` = '$msg', `time` = '$time', `type` = 'to'");
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '$love[id]', `msg` = '$msg', `time` = '$time', `type` = 'at', `read` = '1'");
//mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$love[id]', `id_kont` = '$ku[id]', `msg` = '$msg', `time` = '$time', `type` = 'to'");//кто делает придложение

msg_game( 'Свадьба назначена на '.date("H:i:s, d-m-Y",(time()+60*6)-600).'');
}
}
?>

<div class="block event"><h1>ЗАГС</h1></div>
<div class="content">
<div class="block">

<div>

            <span class="epic">ЗАГС</span> - предназначен для государственной регистрации заключения и расторжения брака.
        
    
</div>


<?
@$action=htmlspecialchars(trim($_GET['action']));

mysql_query("DELETE FROM `kolhoz_zags` WHERE `data`='".(time()+60*60)."'");

switch($action){

default:
$x=mysql_query("SELECT * FROM `kolhoz_zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
@$x=mysql_fetch_assoc($x);

if (($x['date']-600)>time()){
header("Location:?zags");
}else{

if (($x['date']-600)<time() && $x['date']>time()){
header("Location:?zags");
}else{
//header("Location:?zags");}


if (!@$ku['brak']) {

echo'<form method="post"><br/>
<div style="clear:both"></div>
<div class="title">
        Гос.пошлина на регистрацию брака - 1<img width="16" height="16" src="img/icons/zkl.png" alt="o">, оплата принимается от жениха.<br/>
</div>

';
echo'<small>Введите ник того,<br />кому хотите сделать предложение:</small><br/>';
echo '<input name="name" type="text" value=""/>';
echo '<br /><input type="submit" value="Сделать"/>';
echo '</form>';

}else{

echo"Вы состоите в браке с ";
echo'<font color="green"> '.$ku['brak'].'</font>';
echo'<br/>Администрация искренне поздравляет вашу пару)<br/>';

}}}
break;



case 'ees':
$x=mysql_query("SELECT * FROM `kolhoz_zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
if(!mysql_num_rows($x)){echo 'Ну и что ты здесь забыл?';break;};
if(($x['data']-600) > time())
{echo'Время еще неподошло! Так внетерпеж?';
break;}
$x=mysql_fetch_assoc($x);

if($ku['pol']==1){
if(!empty($x['onyes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `kolhoz_zags` SET `onyes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
}else{
if(!empty($x['onayes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `kolhoz_zags` SET `onayes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
};


$c=mysql_query("SELECT * FROM `kolhoz_zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
$c=mysql_fetch_assoc($c);
if(!empty($c['onayes']) && !empty($c['onyes'])){
echo '<br/>Поздравляем! Ваш брак состоялся! Теперь вы законный муж и жена!';

mysql_query("UPDATE `kolhoz_user` SET `brak`='".$c['ona']."' WHERE `nick`='".$c['on']."'");
mysql_query("UPDATE `kolhoz_user` SET `brak`='".$c['on']."' WHERE `nick`='".$c['ona']."'");

mysql_query("DELETE FROM `kolhoz_zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
$msg='Поздравим '.$c['ona'].' и '.$c['on'].' с успешным заключением брака!';
mysql_query("INSERT INTO `kolhoz_chat` (`id_user`,`time`,`mother`,`type`,`msg`)VALUES('1','".time()."','3','komm','$msg')");
};

echo '<br/><a href="?zags">В загс</a>';
break;

};


?>

</div>
</div>
<? include_once 'inc/foot.php'; ?>